enum BreakDuration {
  MIN_15
  MIN_30
  NO_BREAK
}

#this is position, timesheet and schedule in staff app
type ShiftRole @table(name: "shift_roles", key: ["shiftId", "roleId"]) {
  id: UUID! @default(expr: "uuidV4()")

  shiftId: UUID!
  shift: Shift! @ref(fields: "shiftId", references: "id")

  roleId: UUID!
  role: Role! @ref(fields: "roleId", references: "id")

  # demand / requirements
  count: Int!
  assigned: Int @default(expr: "0")

  startTime: Timestamp
  endTime: Timestamp
  hours: Float

  department: String
  uniform: String
  breakType: BreakDuration
  totalValue: Float

  createdAt: Timestamp @default(expr: "request.time")
  updatedAt: Timestamp @default(expr: "request.time")
}
